// -----------------------------------------------------------------------------
// COPYRIGHT (C) 2020 - AUTHOR - MANISH JOSHI
//
// CREATED USING SCILAB-6.1.0 ON WINDOWS-10 64-bit
//
// DATE OF CREATION: 26 Oct, 2020 
//
// THIS FILE IS A PART OF LSF_Toolbox 
// -----------------------------------------------------------------------------


function InsertTable(handles, Fittype, SSE,Rsqr, DFE, ARsqr, RMSE,  Coeff)
	siz = size(handles.FitTabel.string )(1)
	if handles.SelectChoose.value == 1 then
		ypos = handles.ChooseY.value; 
		yvar = handles.ChooseY.string(ypos);
		xpos = handles.ChooseX.value;
		xvar = handles.ChooseX.string(xpos);
		Vs = yvar +  ' vs. ' + xvar;
	else
		Vs = 'y vs. x';
	end
	Fit = string([siz-1,1,1,SSE,Rsqr, DFE, ARsqr, RMSE,  Coeff]);
	Fit(3)=Fittype
	Fit(2) = Vs
	if (handles.FitTabel.string(siz, :) ==  ["1","","","","","","", "",""] ) || (handles.FitTabel.string(siz, :) == Fit)then
		handles.FitTabel.string(siz, :) = Fit
	else
		Fit = string([siz,1,1,SSE,Rsqr, DFE, ARsqr, RMSE,  Coeff]);
		Fit(3)=Fittype
		Fit(2) = Vs
		handles.FitTabel.string(siz+1 ,:) = Fit
	end
endfunction
